complexType "ExerciseFee"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | notionalReference?, (feeAmount? | feeRate?), feePaymentDate?
</...>

Content Model Elements (4):

  feeAmount, feePaymentDate (defined in ExerciseFee complexType), | feeRate, notionalReference (defined in ExerciseFee complexType)

Annotation
A type defining the fee payable on exercise of an option. This fee may be defined as an amount or a percentage of the notional exercised.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ExerciseFee"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element minOccurs="0" name="notionalReference" type="NotionalReference"/> <xsd:choice> <xsd:element minOccurs="0" name="feeAmount" type="xsd:decimal"/> <xsd:element minOccurs="0" name="feeRate" type="xsd:decimal"/> </xsd:choice> <xsd:element minOccurs="0" name="feePaymentDate" type="RelativeDateOffset"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
feeAmount

  Type: | xsd:decimal, predefined, simple content

  The amount of fee to be paid on exercise. The fee currency is that of the referenced notional.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feeAmount" type="xsd:decimal"/>

feePaymentDate

  Type: | RelativeDateOffset, complex content

  The date on which exercise fee(s) will be paid. It is specified as a relative date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feePaymentDate" type="RelativeDateOffset"/>

feeRate

  Type: | xsd:decimal, predefined, simple content

  A fee represented as a percentage of some referenced notional. A percentage of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feeRate" type="xsd:decimal"/>

notionalReference

  Type: | NotionalReference, empty content

  A pointer style reference to the associated notional schedule defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notionalReference" type="NotionalReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.